export declare enum CrudRequestTypes {
    CREATE = "create",
    READ = "read",
    UPDATE = "update",
    DELETE = "delete"
}
export declare enum QueryFilterOperators {
    EQ = "$eq",
    NE = "$ne",
    GT = "$gt",
    LT = "$lt",
    GTE = "$gte",
    LTE = "$lte",
    STARTS = "$starts",
    ENDS = "$ends",
    CONT = "$cont",
    EXCL = "$excl",
    IN = "$in",
    NOT_IN = "$notin",
    IS_NULL = "$isnull",
    NOT_NULL = "$notnull",
    BETWEEN = "$between",
    EQ_LOWER = "$eqL",
    NE_LOWER = "$neL",
    STARTS_LOWER = "$startsL",
    ENDS_LOWER = "$endsL",
    CONT_LOWER = "$contL",
    EXCL_LOWER = "$exclL",
    IN_LOWER = "$inL",
    NOT_IN_LOWER = "$notinL"
}
export declare enum RequestFieldTypes {
    FIELD = "field",
    JOIN = "join",
    SORT = "sort"
}
export declare const RMQ_TRANSPORT_DTO_TYPE = "RMQ_TRANSPORT_DTO_TYPE";
export declare const RELATED_DTO_OPTIONS = "RELATED_DTO_OPTIONS";
export declare const VALIDATE_IF_RELATED_ONLY = "VALIDATE_IF_RELATED_ONLY";
