interface ValidationArguments {
    value: any;
    constraints: any[];
    targetName: string;
    object: Object;
    property: string;
}
export interface ValidationMetadata {
    type: string;
    target: Function | string;
    propertyName: string;
    constraintCls: Function;
    constraints: any[];
    message: string | ((args: ValidationArguments) => string);
    groups: string[];
    always?: boolean;
    each: boolean;
    context?: any;
    validationTypeOptions: any;
}
export {};
