export enum CrudRequestTypes {
  CREATE = 'create',
  READ = 'read',
  UPDATE = 'update',
  DELETE = 'delete',
}

export enum QueryFilterOperators {
  EQ = '$eq',
  NE = '$ne',
  GT = '$gt',
  LT = '$lt',
  GTE = '$gte',
  LTE = '$lte',
  STARTS = '$starts',
  ENDS = '$ends',
  CONT = '$cont',
  EXCL = '$excl',
  IN = '$in',
  NOT_IN = '$notin',
  IS_NULL = '$isnull',
  NOT_NULL = '$notnull',
  BETWEEN = '$between',
  EQ_LOWER = '$eqL',
  NE_LOWER = '$neL',
  STARTS_LOWER = '$startsL',
  ENDS_LOWER = '$endsL',
  CONT_LOWER = '$contL',
  EXCL_LOWER = '$exclL',
  IN_LOWER = '$inL',
  NOT_IN_LOWER = '$notinL',
}

export enum RequestFieldTypes {
  FIELD = 'field',
  JOIN = 'join',
  SORT = 'sort',
}

export const RMQ_TRANSPORT_DTO_TYPE = 'RMQ_TRANSPORT_DTO_TYPE';
export const RELATED_DTO_OPTIONS = 'RELATED_DTO_OPTIONS';
export const VALIDATE_IF_RELATED_ONLY = 'VALIDATE_IF_RELATED_ONLY';
