import { MicroserviceValidation, RmqTransportDtoType } from '../../src';
import { BaseDto } from '../dto/base.dto';
import { TargetObject } from '../../src/common/types';

import { WrongName } from '../dto/wrong-name.dto';

@MicroserviceValidation(BaseDto)
export class CustomWithWrongDtoController {
  custom(@RmqTransportDtoType(WrongName) data: { dto: TargetObject }): TargetObject {
    return data.dto;
  }
}
