import { ValidationMetadata } from '../interfaces/validation-metadata.interface';
type Instantiable<T> = {
    new (...args: any[]): T;
};
export type TargetObject = Record<string | symbol, any>;
export type ValidationDto = Instantiable<Record<string | symbol, any>>;
export type ValidationMetaDataCollector = {
    [key: string]: ValidationMetadata[];
};
export type DtoInstance = Record<string | symbol, any>;
export type ConvertedRequestParam = Record<string, any>;
export {};
