export const getNestedRelations = (property: string, relationsArray: string[] = []): string[] => {
  const propertyPart = `${property}.`;
  const filteredArray = relationsArray.filter((relation) => relation.startsWith(propertyPart));
  return filteredArray.map((relation) => relation.slice(propertyPart.length));
};
