export const CUSTOM_DTO_DECORATOR_IS_REQUIRED = (property: string | symbol): string =>
  `Custom method ${property.toString()} requires "RmqTransportDtoType" decorator`;

export const INVALID_DTO_IS_ADDED = (
  property: string | symbol | undefined,
  dtoName?: string,
): string => `Invalid dto ${dtoName} is added to validate method ${property?.toString()}.`;

export const NO_BASE_NO_CUSTOM_DTO = (property: string | symbol): string =>
  `Validation dto is missed for method ${property.toString()}. Add "RmqTransportDtoType" decorator to method argument or add Dto class to "MicroserviceValidation" decorator`;
