import { ValidationDto } from '../common/types';
import { CrudRequestTypes } from '../common/constants';

export interface ValidateArgumentOptions {
  /**
   * Validation dto class
   */
  validationDto?: ValidationDto;
  /**
   * Crud request method group
   */
  methodGroup?: CrudRequestTypes;
  /**
   * Custom dto class
   */
  customDtoClass?: ValidationDto;
  /**
   * Method name
   */
  methodName: string;
  /**
   * Error prefix (for bulk validation errors)
   */
  errorPrefix?: string;
}
