import { MicroserviceValidation, RmqTransportDtoType } from '../../src';
import { TargetObject } from '../../src/common/types';
import { BaseDto } from '../dto/base.dto';

@MicroserviceValidation()
export class NoBaseWithRmqController {
  createOne(@RmqTransportDtoType(BaseDto) data: { dto: TargetObject }): TargetObject {
    return data.dto;
  }
}
